## mlt 7.4.0-1~ubuntu20.04.1+10.0trisquel2

=== debian/changelog ===
mlt (7.4.0-1~ubuntu20.04.1+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from official PPA for kdenlive as a dependency of
    kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 08 Jan 2022 18:36:45 +0000

mlt (7.4.0-1~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Vincent Pinon <vpinon@kde.org>  Sat, 08 Jan 2022 18:12:01 +0000

mlt (7.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch to CMake build system

 -- Vincent Pinon <vpinon@kde.org>  Sun, 18 Jul 2021 22:36:24 +0200

=== debian/control ===
Source: mlt
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 12),
 ffmpeg,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 ladspa-sdk,
 libavdevice-dev,
 libavformat-dev,
 libdv4-dev,
 libexif-dev,
 libgdk-pixbuf2.0-dev,
 libmovit-dev,
 libfftw3-dev,
 libjack-dev,
 libpango1.0-dev,
 libsamplerate-dev,
 libsdl1.2-dev,
 libsdl2-dev,
 libsox-dev (>= 14.3.0),
 libswscale-dev,
 librubberband-dev,
 libvorbis-dev,
 libvidstab-dev,
 libxine2-dev,
 libxml2-dev,
 librtaudio-dev [linux-any],
 imagemagick,
 frei0r-plugins-dev,
 swig,
 libebur128-dev (>= 1.2.0-2),
 python3-dev,
 dh-python,
 cmake
Standards-Version: 4.5.1
Section: libs
Rules-Requires-Root: no
Homepage: https://www.mltframework.org

Package: libmlt7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libmlt7 (= ${binary:Version})
Description: multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: libmlt7-data (>= ${source:Version})
Description: multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt7-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: libmlt7
Description: multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: libmlt++7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmlt++7 (= ${binary:Version}),
 ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: melt-7
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmlt7-data (>= ${source:Version})
Description: command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a powerful
 multitrack command line oriented video editor. It could also used as an
 minimalistic media player for audio and video files.

Package: python3-mlt7
Architecture: any
Section: python
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends}
Provides: ${python3:Provides}
Conflicts: python-mlt
Replaces: python-mlt
Description: multimedia framework (Python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	-DSWIG_PYTHON=ON

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -V

## mlt 7.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(MLT
  VERSION 7.6.0
  DESCRIPTION "Multimedia Framework"
  HOMEPAGE_URL "https://www.mltframework.org"
  LANGUAGES C CXX
)

option(GPL "Enable GPLv2 components" ON)
option(GPL3 "Enable GPLv3 components" ON)
option(BUILD_TESTING "Enable tests" OFF)
option(BUILD_DOCS "Enable Doxygen documentation" OFF)

option(MOD_AVFORMAT "Enable avformat module" ON)
option(MOD_DECKLINK "Enable DeckLink module" ON)
option(MOD_FREI0R "Enable Frei0r module" ON)
option(MOD_GDK "Enable GDK module" ON)
option(MOD_JACKRACK "Enable JACK Rack module" ON)
option(MOD_KDENLIVE "Enable Kdenlive module" ON)
option(MOD_NDI "Enable NDI module" OFF)
option(MOD_NORMALIZE "Enable Normalize module (GPL)" ON)
option(MOD_OLDFILM "Enable Oldfilm module" ON)
option(MOD_OPENCV "Enable OpenCV module" OFF)
option(MOD_MOVIT "Enable OpenGL module" ON)
option(MOD_PLUS "Enable Plus module" ON)
option(MOD_PLUSGPL "Enable PlusGPL module (GPL)" ON)
option(MOD_QT "Enable Qt module (GPL)" ON)
option(MOD_RESAMPLE "Enable Resample module (GPL)" ON)
option(MOD_RTAUDIO "Enable RtAudio module" ON)
option(MOD_RUBBERBAND "Enable Rubberband module (GPL)" ON)
option(MOD_SDL1 "Enable SDL1 module" ON)
option(MOD_SDL2 "Enable SDL2 module" ON)
option(MOD_SOX "Enable SoX module" ON)
option(MOD_VIDSTAB "Enable vid.stab module (GPL)" ON)
option(MOD_VORBIS "Enable Vorbis module" ON)
option(MOD_XINE "Enable XINE module (GPL)" ON)
option(MOD_XML "Enable XML module" ON)

option(SWIG_CSHARP "Enable SWIG C# bindings" OFF)
option(SWIG_JAVA "Enable SWIG Java bindings" OFF)
option(SWIG_LUA "Enable SWIG Lua bindings" OFF)
option(SWIG_NODEJS "Enable SWIG Node.js bindings" OFF)
option(SWIG_PERL "Enable SWIG Perl bindings" OFF)
option(SWIG_PHP "Enable SWIG PHP bindings" OFF)
option(SWIG_PYTHON "Enable SWIG Python bindings" OFF)
option(SWIG_RUBY "Enable SWIG Ruby bindings" OFF)
option(SWIG_TCL "Enable SWIG Tcl bindings" OFF)

if(WIN32)
  option(WINDOWS_DEPLOY "Install exes/libs directly to prefix (no subdir /bin)" ON)
else()
  if(APPLE)
    option(RELOCATABLE "Use standard app bundle layout" ON)
  else()
    option(RELOCATABLE "Look for plugins relative to app" OFF)
  endif()
endif()


list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(FeatureSummary)
include(GNUInstallDirs)

if(WINDOWS_DEPLOY)
  set(CMAKE_INSTALL_BINDIR .)
endif()

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/${CMAKE_INSTALL_BINDIR}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/lib")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/lib")
set(MLT_MODULE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/lib/mlt")
set(MLT_DATA_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/share/mlt")

# https://gitlab.kitware.com/cmake/community/-/wikis/doc/cmake/RPATH-handling
set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
if(NOT "${isSystemDir}" STREQUAL "-1")
    set(CMAKE_INSTALL_RPATH "")
endif()


if(NOT EXISTS ${MLT_DATA_OUTPUT_DIRECTORY})
  if(WIN32) # symlinks require admin rights on Windows
    file(COPY "${CMAKE_SOURCE_DIR}/src/modules" DESTINATION "${CMAKE_BINARY_DIR}/out/share" FILES_MATCHING REGEX yml|txt)
    file(RENAME "${CMAKE_BINARY_DIR}/out/share/modules" "${MLT_DATA_OUTPUT_DIRECTORY}")
    file(COPY "${CMAKE_SOURCE_DIR}/presets" DESTINATION "${MLT_DATA_OUTPUT_DIRECTORY}")
    file(COPY "${CMAKE_SOURCE_DIR}/profiles" DESTINATION "${MLT_DATA_OUTPUT_DIRECTORY}")
  else()
    file(MAKE_DIRECTORY "${MLT_DATA_OUTPUT_DIRECTORY}")
    file(GLOB MOD_SUBDIRS "${CMAKE_SOURCE_DIR}/src/modules/*")
    foreach(MOD_SUBDIR ${MOD_SUBDIRS})
      file(RELATIVE_PATH MOD_NAME "${CMAKE_SOURCE_DIR}/src/modules" ${MOD_SUBDIR})
      file(CREATE_LINK "${CMAKE_SOURCE_DIR}/src/modules/${MOD_NAME}" "${MLT_DATA_OUTPUT_DIRECTORY}/${MOD_NAME}" SYMBOLIC)
    endforeach()
    file(CREATE_LINK "${CMAKE_SOURCE_DIR}/presets" "${MLT_DATA_OUTPUT_DIRECTORY}/presets" SYMBOLIC)
    file(CREATE_LINK "${CMAKE_SOURCE_DIR}/profiles" "${MLT_DATA_OUTPUT_DIRECTORY}/profiles" SYMBOLIC)
  endif()
endif()

set(MLT_SUBDIR mlt)
if(NOT (WIN32 OR APPLE))
  set(MLT_SUBDIR mlt-${MLT_VERSION_MAJOR})
  set(MLT_SUBDIR mlt-${MLT_VERSION_MAJOR})
endif()
set(MLT_INSTALL_MODULE_DIR ${CMAKE_INSTALL_LIBDIR}/${MLT_SUBDIR})
set(MLT_INSTALL_DATA_DIR ${CMAKE_INSTALL_DATADIR}/${MLT_SUBDIR})


set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS ON)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

list(APPEND MLT_COMPILE_OPTIONS "")

# MSVC cl doesn't support GNU inline assembly (but MSVC-compatible clang-cl does)
if(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "i686|x86|x86_64|AMD64")
    set(CPU_MMX ON)
    set(CPU_SSE ON)
    set(CPU_SSE2 ON)
    if(NOT MSVC) # also NOT clang-cl
      list(APPEND MLT_COMPILE_OPTIONS "-mmmx;-msse;-msse2")
    endif()
  endif()
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "i686" OR (WIN32 AND CMAKE_SYSTEM_PROCESSOR MATCHES "x86"))
    set(CPU_X86_32 ON)
  endif()
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|AMD64")
    set(CPU_X86_64 ON)
  endif()
endif()

if(MSVC)
  list(APPEND MLT_COMPILE_OPTIONS "$<$<CONFIG:Release>:/fp:fast>")
elseif(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
  list(APPEND MLT_COMPILE_OPTIONS "$<$<CONFIG:Release>:-ffast-math>")
endif()

if(NOT GPL)
  set(MOD_NORMALIZE OFF)
  set(MOD_PLUSGPL OFF)
  set(MOD_QT OFF)
  set(MOD_RESAMPLE OFF)
  set(MOD_RUBBERBAND OFF)
  set(MOD_VIDSTAB OFF)
  set(MOD_XINE OFF)
endif()

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)

if(WIN32)
  find_package(Iconv REQUIRED)
  if(NOT CMAKE_DL_LIBS)
    find_package(dlfcn-win32 REQUIRED)
    set(CMAKE_DL_LIBS dlfcn-win32::dl)
  endif()
endif()

pkg_check_modules(sdl2 IMPORTED_TARGET sdl2)

if(BUILD_TESTING)
  find_package(Qt5 REQUIRED COMPONENTS Core Test)
  find_package(Kwalify REQUIRED)
  enable_testing()
endif()

if(MOD_QT OR MOD_PLUS)
  pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
  if(NOT FFTW_FOUND)
    pkg_check_modules(FFTW IMPORTED_TARGET fftw)
  endif()
endif()

if(MOD_QT OR MOD_GDK)
  pkg_check_modules(libexif IMPORTED_TARGET libexif)
endif()

if(MOD_GDK OR MOD_GTK)
  pkg_check_modules(fontconfig IMPORTED_TARGET fontconfig)
endif()

if(MOD_XML OR MOD_JACKRACK)
  pkg_check_modules(xml IMPORTED_TARGET libxml-2.0)
endif()

if(MOD_AVFORMAT)
  pkg_check_modules(libavformat IMPORTED_TARGET libavformat)
  pkg_check_modules(libswscale IMPORTED_TARGET libswscale)
  pkg_check_modules(libavutil IMPORTED_TARGET libavutil)
  if(TARGET PkgConfig::libavformat AND TARGET PkgConfig::libswscale AND TARGET PkgConfig::libavutil)
    pkg_check_modules(libavcodec IMPORTED_TARGET libavcodec)
    pkg_check_modules(libavfilter IMPORTED_TARGET libavfilter)
    pkg_check_modules(libavdevice IMPORTED_TARGET libavdevice)
    pkg_check_modules(libswresample IMPORTED_TARGET libswresample)
    list(APPEND MLT_SUPPORTED_COMPONENTS avformat)
  else()
    set(MOD_AVFORMAT OFF)
  endif()
endif()

if(MOD_DECKLINK)
  list(APPEND MLT_SUPPORTED_COMPONENTS decklink)
endif()

if(MOD_FREI0R)
  pkg_check_modules(FREI0R frei0r)
  if(FREI0R_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS frei0r)
  else()
    set(MOD_FREI0R OFF)
  endif()
endif()

if(MOD_GDK)
  pkg_check_modules(GdkPixbuf IMPORTED_TARGET gdk-pixbuf-2.0)
  if(TARGET PkgConfig::GdkPixbuf)
    pkg_check_modules(pango IMPORTED_TARGET pango)
    pkg_check_modules(pangoft2 IMPORTED_TARGET pangoft2)
    list(APPEND MLT_SUPPORTED_COMPONENTS gdk)
  else()
    set(MOD_GDK OFF)
  endif()
endif()

if(MOD_JACKRACK)
  find_package(JACK)
  pkg_check_modules(glib IMPORTED_TARGET glib-2.0)
  check_include_file(ladspa.h ladspa_h_FOUND)
  list(APPEND MLT_SUPPORTED_COMPONENTS jackrack)
endif()

if(MOD_KDENLIVE)
  list(APPEND MLT_SUPPORTED_COMPONENTS kdenlive)
endif()

if(MOD_NDI)
  find_package(NDI REQUIRED)
  list(APPEND MLT_SUPPORTED_COMPONENTS ndi)
endif()

if(MOD_NORMALIZE)
  list(APPEND MLT_SUPPORTED_COMPONENTS normalize)
endif()

if(MOD_OLDFILM)
  list(APPEND MLT_SUPPORTED_COMPONENTS oldfilm)
endif()

if(MOD_OPENCV)
  find_package(OpenCV REQUIRED COMPONENTS tracking)
  if(OpenCV_tracking_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS opencv)
  else()
    set(MOD_OPENCV OFF)
  endif()
endif()

if(MOD_MOVIT)
  pkg_check_modules(movit IMPORTED_TARGET movit)
  find_package(OpenGL)
  if(TARGET PkgConfig::movit AND TARGET OpenGL::GL)
    if(UNIX AND NOT APPLE)
      find_package(X11 REQUIRED)
    endif()
    list(APPEND MLT_SUPPORTED_COMPONENTS movit)
  else()
    set(MOD_MOVIT OFF)
  endif()
endif()

if(MOD_PLUS)
  pkg_check_modules(libebur128 IMPORTED_TARGET libebur128)
  list(APPEND MLT_SUPPORTED_COMPONENTS plus)
endif()

if(MOD_PLUSGPL)
  list(APPEND MLT_SUPPORTED_COMPONENTS plusgpl)
endif()

if(MOD_QT)
  find_package(Qt5 COMPONENTS Core Gui Xml Svg Widgets)
  if(Qt5_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS qt)
  else()
    set(MOD_QT OFF)
  endif()
endif()

if(MOD_RESAMPLE)
  pkg_check_modules(samplerate IMPORTED_TARGET samplerate)
  if(TARGET PkgConfig::samplerate)
    list(APPEND MLT_SUPPORTED_COMPONENTS resample)
  else()
    set(MOD_RESAMPLE OFF)
  endif()
endif()

if(MOD_RTAUDIO)
  pkg_check_modules(rtaudio IMPORTED_TARGET rtaudio)
  if(NOT TARGET PkgConfig::rtaudio AND UNIX AND NOT APPLE)
    pkg_check_modules(alsa IMPORTED_TARGET alsa)
    pkg_check_modules(libpulse-simple IMPORTED_TARGET libpulse-simple)
  endif()
  list(APPEND MLT_SUPPORTED_COMPONENTS rtaudio)
endif()

if(MOD_RUBBERBAND)
  pkg_check_modules(rubberband IMPORTED_TARGET rubberband)
  if(TARGET PkgConfig::rubberband)
    list(APPEND MLT_SUPPORTED_COMPONENTS rubberband)
  else()
    set(MOD_RUBBERBAND OFF)
  endif()
endif()

if(MOD_SDL1)
  pkg_check_modules(sdl IMPORTED_TARGET sdl)
  if(TARGET PkgConfig::sdl)
    list(APPEND MLT_SUPPORTED_COMPONENTS sdl)
  else()
    set(MOD_SDL1 OFF)
  endif()
endif()

if(MOD_SDL2)
  if(TARGET PkgConfig::sdl2)
    list(APPEND MLT_SUPPORTED_COMPONENTS sdl2)
  else()
    set(MOD_SDL2 OFF)
  endif()
endif()

if(MOD_SOX)
  pkg_check_modules(sox IMPORTED_TARGET sox)
  if(TARGET PkgConfig::sox)
    list(APPEND MLT_SUPPORTED_COMPONENTS sox)
  else()
    set(MOD_SOX OFF)
  endif()
endif()

if(MOD_VIDSTAB)
  pkg_check_modules(vidstab IMPORTED_TARGET vidstab)
  if(TARGET PkgConfig::vidstab)
    list(APPEND MLT_SUPPORTED_COMPONENTS vidstab)
  else()
    set(MOD_VIDSTAB OFF)
  endif()
endif()

if(MOD_VORBIS)
  pkg_check_modules(vorbis IMPORTED_TARGET vorbis)
  pkg_check_modules(vorbisfile IMPORTED_TARGET vorbisfile)
  if(TARGET PkgConfig::vorbis AND TARGET PkgConfig::vorbisfile)
    list(APPEND MLT_SUPPORTED_COMPONENTS vorbis)
  else()
    set(MOD_VORBIS OFF)
  endif()
endif()

if(MOD_XINE)
  list(APPEND MLT_SUPPORTED_COMPONENTS xine)
endif()

if(MOD_XML)
  if(TARGET PkgConfig::xml)
    list(APPEND MLT_SUPPORTED_COMPONENTS xml)
  else()
    set(MOD_XML OFF)
  endif()
endif()

find_package(SWIG)

if(SWIG_CSHARP)
  find_package(Mono REQUIRED)
endif()

if(SWIG_JAVA)
  find_package(JNI REQUIRED)
endif()

if(SWIG_LUA)
  find_package(Lua REQUIRED)
endif()

if(SWIG_NODEJS)
  find_package(Node REQUIRED)
  if(NODE_VERSION_MAJOR VERSION_GREATER_EQUAL 12 AND SWIG_VERSION VERSION_LESS 4.1)
    # https://github.com/swig/swig/issues/1520
    set(SWIG_NODEJS OFF)
  endif()
endif()

if(SWIG_PERL)
  find_package(PerlLibs REQUIRED)
endif()

if(SWIG_PHP)
  find_package(PHP REQUIRED)
endif()

if(SWIG_PYTHON)
  find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
endif()

if(SWIG_RUBY)
  find_package(Ruby REQUIRED)
endif()

if(SWIG_TCL)
  find_package(TCL REQUIRED)
endif()

if(BUILD_DOCS)
  find_package(Doxygen REQUIRED)

  set(DOXYGEN_OUTPUT_DIRECTORY "docs")
  set(DOXYGEN_ABBREVIATE_BRIEF "")
  set(DOXYGEN_STRIP_FROM_PATH "src/framework/")
  set(DOXYGEN_JAVADOC_AUTOBRIEF "YES")

=== src/melt/CMakeLists.txt ===
add_executable(melt melt.c io.c)

target_compile_options(melt PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(melt PRIVATE mlt Threads::Threads)

target_compile_definitions(melt PRIVATE VERSION="${MLT_VERSION}")

if(TARGET PkgConfig::sdl2)
    target_link_libraries(melt PRIVATE PkgConfig::sdl2)
    target_compile_definitions(melt PRIVATE HAVE_SDL2)
    if(MINGW)
        target_link_libraries(melt PRIVATE mingw32)
    endif()
endif()

if(MINGW)
  target_link_options(melt PRIVATE -mconsole)
endif()

install(TARGETS melt RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
if(UNIX AND NOT APPLE)
  install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E rename melt melt-${MLT_VERSION_MAJOR} \
                                WORKING_DIRECTORY \$ENV\{DESTDIR\}${CMAKE_INSTALL_FULL_BINDIR})"
  )
  install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink melt-${MLT_VERSION_MAJOR} melt \
                                WORKING_DIRECTORY \$ENV\{DESTDIR\}${CMAKE_INSTALL_FULL_BINDIR})"
  )
endif()

=== src/modules/core/CMakeLists.txt ===
add_library(mltcore MODULE
  consumer_multi.c
  consumer_null.c
  factory.c
  filter_audiochannels.c
  filter_audioconvert.c
  filter_audiomap.c
  filter_audiowave.c
  filter_box_blur.c
  filter_brightness.c
  filter_channelcopy.c
  filter_choppy.c
  filter_crop.c
  filter_fieldorder.c
  filter_gamma.c
  filter_greyscale.c
  filter_imageconvert.c
  filter_luma.c
  filter_mask_apply.c
  filter_mask_start.c
  filter_mirror.c
  filter_mono.c
  filter_obscure.c
  filter_panner.c
  filter_pillar_echo.c
  filter_rescale.c
  filter_resize.c
  filter_transition.c
  filter_watermark.c
  image_proc.c
  link_timeremap.c
  producer_colour.c
  producer_consumer.c
  producer_hold.c
  producer_loader.c
  producer_melt.c
  producer_noise.c
  producer_timewarp.c
  producer_tone.c
  transition_composite.c
  transition_luma.c
  transition_matte.c
  transition_mix.c
)

target_compile_options(mltcore PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mltcore PRIVATE m mlt Threads::Threads)

if(WIN32)
  target_sources(mltcore PRIVATE ../../win32/fnmatch.c)
  target_include_directories(mltcore PRIVATE ../../win32)
endif()

if(CPU_SSE)
  target_compile_definitions(mltcore PRIVATE USE_SSE)
endif()

if(CPU_X86_64)
  target_sources(mltcore PRIVATE composite_line_yuv_sse2_simple.c)
  target_compile_definitions(mltcore PRIVATE ARCH_X86_64)
endif()

set_target_properties(mltcore PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltcore LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  consumer_multi.yml
  filter_audiomap.yml
  filter_audiowave.yml
  filter_box_blur.yml
  filter_brightness.yml
  filter_channelcopy.yml
  filter_choppy.yml
  filter_crop.yml
  filter_fieldorder.yml
  filter_gamma.yml
  filter_greyscale.yml
  filter_luma.yml
  filter_mask_apply.yml
  filter_mask_start.yml
  filter_mirror.yml
  filter_mono.yml
  filter_obscure.yml
  filter_panner.yml
  filter_pillar_echo.yml
  filter_rescale.yml
  filter_resize.yml
  filter_transition.yml
  filter_watermark.yml
  link_timeremap.yml
  producer_colour.yml
  producer_consumer.yml
  producer_hold.yml
  producer_loader.yml
  producer_melt_file.yml
  producer_melt.yml
  producer_noise.yml
  producer_timewarp.yml
  producer_tone.yml
  transition_composite.yml
  transition_luma.yml
  transition_matte.yml
  transition_mix.yml
  loader.dict
  loader.ini
  DESTINATION ${MLT_INSTALL_DATA_DIR}/core
)

=== src/modules/qt/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

add_library(mltqt MODULE
  factory.c
  producer_qimage.c
  producer_kdenlivetitle.c
  common.cpp graph.cpp
  qimage_wrapper.cpp
  kdenlivetitle_wrapper.cpp
  filter_audiolevelgraph.cpp
  filter_audiowaveform.cpp
  filter_qtext.cpp
  filter_qtblend.cpp
  filter_qtcrop.cpp
  producer_qtext.cpp
  transition_qtblend.cpp
  consumer_qglsl.cpp
  filter_typewriter.cpp
  typewriter.cpp
)

target_compile_options(mltqt PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mltqt PRIVATE
  mlt++
  mlt
  m
  Threads::Threads
  Qt5::Core
  Qt5::Gui
  Qt5::Xml
  Qt5::Svg
  Qt5::Widgets
)

target_compile_definitions(mltqt PRIVATE USE_QT_OPENGL)

if(NOT WINDOWS_DEPLOY)
  target_compile_definitions(mltqt PRIVATE NODEPLOY)
endif()

if(GPL3)
  target_sources(mltqt PRIVATE transition_vqm.cpp)
  target_compile_definitions(mltqt PRIVATE GPL3)
  install(FILES transition_vqm.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/qt)
endif()

if(TARGET PkgConfig::FFTW)
  target_sources(mltqt PRIVATE filter_audiospectrum.cpp filter_lightshow.cpp)
  target_link_libraries(mltqt PRIVATE PkgConfig::FFTW)
  target_compile_definitions(mltqt PRIVATE USE_FFTW)
  install(FILES filter_audiospectrum.yml filter_lightshow.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/qt)
endif()

if(TARGET PkgConfig::libexif)
  target_link_libraries(mltqt PRIVATE PkgConfig::libexif)
  target_compile_definitions(mltqt PRIVATE USE_EXIF)
endif()

set_target_properties(mltqt PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltqt LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  filter_audiolevelgraph.yml
  filter_audiospectrum.yml
  filter_audiowaveform.yml
  filter_qtblend.yml
  filter_qtcrop.yml
  filter_qtext.yml
  filter_typewriter.yml
  producer_kdenlivetitle.yml
  producer_qimage.yml
  producer_qtext.yml
  transition_qtblend.yml
  DESTINATION ${MLT_INSTALL_DATA_DIR}/qt
)

=== debian/changelog ===
mlt (7.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Explicit use buildsystem cmake.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 13 Apr 2022 11:11:30 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all buildinfo=+path

DEB_CONFIGURE_EXTRA_FLAGS := \
	-DSWIG_PYTHON=ON \
	-DMOD_OPENCV=ON

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_install:
	chrpath -d -k $(CURDIR)/debian/tmp/usr/bin/melt-7
	dh_install

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -V

## mlt 7.8.0

=== debian/changelog ===
mlt (7.8.0-1build2) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:58:36 +0000

mlt (7.8.0-1build1) kinetic; urgency=medium

  * No-change rebuild against libopencv-core406

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Jul 2022 06:18:45 +0000

mlt (7.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 28 Jun 2022 11:41:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mlt
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Build-Depends: debhelper-compat (= 13),
  ffmpeg,
  libqt5opengl5-dev,
  libqt5svg5-dev,
@@ -21,6 +22,7 @@
  libsox-dev (>= 14.3.0),
  libswscale-dev,
  librubberband-dev,
+ libopencv-dev,
  libvorbis-dev,
  libvidstab-dev,
  libxine2-dev,
@@ -31,14 +33,15 @@
  swig,
  libebur128-dev (>= 1.2.0-2),
  python3-dev,
- dh-python,
- cmake
-Standards-Version: 4.5.1
+ cmake,
+ chrpath,
+ dh-python
+Standards-Version: 4.6.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://www.mltframework.org
 
-Package: libmlt7-dev
+Package: libmlt-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -60,7 +63,7 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Recommends: libmlt7-data (>= ${source:Version})
+Recommends: libmlt-data (>= ${source:Version})
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -72,7 +75,7 @@
  This package contains the files necessary for running applications that
  use the MLT multimedia framework.
 
-Package: libmlt7-data
+Package: libmlt-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
@@ -87,7 +90,7 @@
  .
  This package contains the data files for the MLT multimedia framework.
 
-Package: libmlt++7-dev
+Package: libmlt++-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -120,18 +123,18 @@
  This package contains the files necessary for running applications that
  use the MLT multimedia framework C++ wrapper.
 
-Package: melt-7
+Package: melt
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libmlt7-data (>= ${source:Version})
+ libmlt-data (>= ${source:Version})
 Description: command line media player and video editor
  melt was meant as a test tool for the MLT framework, but it is also a powerful
  multitrack command line oriented video editor. It could also used as an
  minimalistic media player for audio and video files.
 
-Package: python3-mlt7
+Package: python3-mlt
 Architecture: any
 Section: python
 Depends: ${shlibs:Depends},

## mlt 7.8.0+us

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.14)
 
 project(MLT
-  VERSION 7.6.0
+  VERSION 7.8.0
   DESCRIPTION "Multimedia Framework"
   HOMEPAGE_URL "https://www.mltframework.org"
   LANGUAGES C CXX
@@ -11,11 +11,13 @@
 option(GPL3 "Enable GPLv3 components" ON)
 option(BUILD_TESTING "Enable tests" OFF)
 option(BUILD_DOCS "Enable Doxygen documentation" OFF)
+option(BUILD_WITH_QT6 "Build against Qt 6" OFF)
 
 option(MOD_AVFORMAT "Enable avformat module" ON)
 option(MOD_DECKLINK "Enable DeckLink module" ON)
 option(MOD_FREI0R "Enable Frei0r module" ON)
 option(MOD_GDK "Enable GDK module" ON)
+option(MOD_GLAXNIMATE "Enable Glaxnimate module" OFF)
 option(MOD_JACKRACK "Enable JACK Rack module" ON)
 option(MOD_KDENLIVE "Enable Kdenlive module" ON)
 option(MOD_NDI "Enable NDI module" OFF)
@@ -168,8 +170,14 @@
 
 pkg_check_modules(sdl2 IMPORTED_TARGET sdl2)
 
+if (BUILD_WITH_QT6)
+    set(QT_MAJOR_VERSION 6)
+else()
+    set(QT_MAJOR_VERSION 5)
+endif()
+
 if(BUILD_TESTING)
-  find_package(Qt5 REQUIRED COMPONENTS Core Test)
+  find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Core Test)
   find_package(Kwalify REQUIRED)
   enable_testing()
 endif()
@@ -232,6 +240,15 @@
   endif()
 endif()
 
+if(MOD_GLAXNIMATE)
+  find_package(Qt${QT_MAJOR_VERSION} COMPONENTS Core Gui Widgets Xml)
+  if(Qt${QT_MAJOR_VERSION}_FOUND)
+    list(APPEND MLT_SUPPORTED_COMPONENTS qt)
+  else()
+    set(MOD_GLAXNIMATE OFF)
+  endif()
+endif()
+
 if(MOD_JACKRACK)
   find_package(JACK)
   pkg_check_modules(glib IMPORTED_TARGET glib-2.0)
@@ -288,8 +305,13 @@
 endif()
 
 if(MOD_QT)
-  find_package(Qt5 COMPONENTS Core Gui Xml Svg Widgets)
-  if(Qt5_FOUND)
+  find_package(Qt${QT_MAJOR_VERSION} COMPONENTS Core Xml)
+  if(QT_MAJOR_VERSION EQUAL 6)
+    find_package(Qt${QT_MAJOR_VERSION} COMPONENTS SvgWidgets Core5Compat)
+  else()
+    find_package(Qt${QT_MAJOR_VERSION} COMPONENTS Gui Svg Widgets)
+  endif()
+  if(Qt${QT_MAJOR_VERSION}_FOUND)
     list(APPEND MLT_SUPPORTED_COMPONENTS qt)
   else()
     set(MOD_QT OFF)
@@ -396,36 +418,3 @@
 
 if(SWIG_NODEJS)
   find_package(Node REQUIRED)
-  if(NODE_VERSION_MAJOR VERSION_GREATER_EQUAL 12 AND SWIG_VERSION VERSION_LESS 4.1)
-    # https://github.com/swig/swig/issues/1520
-    set(SWIG_NODEJS OFF)
-  endif()
-endif()
-
-if(SWIG_PERL)
-  find_package(PerlLibs REQUIRED)
-endif()
-
-if(SWIG_PHP)
-  find_package(PHP REQUIRED)
-endif()
-
-if(SWIG_PYTHON)
-  find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
-endif()
-
-if(SWIG_RUBY)
-  find_package(Ruby REQUIRED)
-endif()
-
-if(SWIG_TCL)
-  find_package(TCL REQUIRED)
-endif()
-
-if(BUILD_DOCS)
-  find_package(Doxygen REQUIRED)
-
-  set(DOXYGEN_OUTPUT_DIRECTORY "docs")
-  set(DOXYGEN_ABBREVIATE_BRIEF "")
-  set(DOXYGEN_STRIP_FROM_PATH "src/framework/")
-  set(DOXYGEN_JAVADOC_AUTOBRIEF "YES")

=== src/melt/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,14 @@
   target_link_options(melt PRIVATE -mconsole)
 endif()
 
+if(UNIX AND NOT APPLE)
+    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E remove melt melt-${MLT_VERSION_MAJOR} \
+                                  WORKING_DIRECTORY \$ENV\{DESTDIR\}${CMAKE_INSTALL_FULL_BINDIR})"
+    )
+endif()
+
 install(TARGETS melt RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+
 if(UNIX AND NOT APPLE)
   install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E rename melt melt-${MLT_VERSION_MAJOR} \
                                 WORKING_DIRECTORY \$ENV\{DESTDIR\}${CMAKE_INSTALL_FULL_BINDIR})"

=== src/modules/CMakeLists.txt ===
add_subdirectory(core)

if(MOD_AVFORMAT)
  add_subdirectory(avformat)
endif()

if(MOD_DECKLINK)
  add_subdirectory(decklink)
endif()

if(MOD_FREI0R)
  add_subdirectory(frei0r)
endif()

if(MOD_GDK)
  add_subdirectory(gdk)
endif()

if(MOD_GLAXNIMATE)
  add_subdirectory(glaxnimate)
endif()

if(MOD_JACKRACK)
  add_subdirectory(jackrack)
endif()

if(MOD_KDENLIVE)
  add_subdirectory(kdenlive)
endif()

if(MOD_NDI)
  add_subdirectory(ndi)
endif()

if(MOD_NORMALIZE)
  add_subdirectory(normalize)
endif()

if(MOD_OLDFILM)
  add_subdirectory(oldfilm)
endif()

if(MOD_OPENCV)
  add_subdirectory(opencv)
endif()

if(MOD_MOVIT)
  add_subdirectory(movit)
endif()

if(MOD_PLUS)
  add_subdirectory(plus)
endif()

if(MOD_PLUSGPL)
  add_subdirectory(plusgpl)
endif()

if(MOD_QT)
  add_subdirectory(qt)
endif()

if(MOD_RESAMPLE)
  add_subdirectory(resample)
endif()

if(MOD_RTAUDIO)
  add_subdirectory(rtaudio)
endif()

if(MOD_RUBBERBAND)
  add_subdirectory(rubberband)
endif()

if(MOD_SDL1)
  add_subdirectory(sdl)
endif()

if(MOD_SDL2)
  add_subdirectory(sdl2)
endif()

if(MOD_SOX)
  add_subdirectory(sox)
endif()

if(MOD_VIDSTAB)
  add_subdirectory(vid.stab)
endif()

if(MOD_VORBIS)
  add_subdirectory(vorbis)
endif()

if(MOD_XINE)
  add_subdirectory(xine)
endif()

if(MOD_XML)
  add_subdirectory(xml)
endif()

=== src/modules/glaxnimate/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CORE_DIR glaxnimate/src/core/)
set(APP_DIR glaxnimate/external/QtAppSetup/src/)

set(GLAX_SOURCES

  ${APP_DIR}app/application.cpp
  ${APP_DIR}app/settings/settings_group.cpp
  ${APP_DIR}app/settings/settings.cpp
  ${APP_DIR}app/settings/palette_settings.cpp
  ${APP_DIR}app/settings/keyboard_shortcuts.cpp
  ${APP_DIR}app/settings/keyboard_shortcuts_model.cpp
  ${APP_DIR}app/translation_service.cpp
  ${APP_DIR}app/scripting/script_engine.cpp
  ${APP_DIR}app/widgets/settings_dialog.cpp
  ${APP_DIR}app/widgets/settings_dialog.ui
  ${APP_DIR}app/widgets/widget_palette_editor.cpp
  ${APP_DIR}app/widgets/widget_palette_editor.ui
  ${APP_DIR}app/widgets/clearable_keysequence_edit.cpp
  ${APP_DIR}app/widgets/clearable_keysequence_edit.ui
  ${APP_DIR}app/widgets/keyboard_settings_widget.cpp
  ${APP_DIR}app/widgets/keyboard_settings_widget.ui
  ${APP_DIR}app/log/logger.cpp
  ${APP_DIR}app/log/log_model.cpp
  ${APP_DIR}app/cli.cpp

  ${CORE_DIR}app_info.cpp

  ${CORE_DIR}command/structure_commands.cpp
  ${CORE_DIR}command/shape_commands.cpp
  ${CORE_DIR}command/animation_commands.cpp

  ${CORE_DIR}io/lottie/lottie_format.cpp
  ${CORE_DIR}io/lottie/lottie_html_format.cpp
  ${CORE_DIR}io/lottie/tgs_format.cpp
  ${CORE_DIR}io/lottie/cbor_write_json.cpp
  ${CORE_DIR}io/lottie/validation.cpp
  ${CORE_DIR}io/glaxnimate/glaxnimate_format.cpp
  ${CORE_DIR}io/glaxnimate/glaxnimate_importer.cpp
  ${CORE_DIR}io/glaxnimate/glaxnimate_mime.cpp
  ${CORE_DIR}io/svg/svg_renderer.cpp
  ${CORE_DIR}io/svg/svg_parser.cpp
  ${CORE_DIR}io/svg/detail.cpp
  ${CORE_DIR}io/svg/svg_format.cpp
  ${CORE_DIR}io/mime/mime_serializer.cpp
  ${CORE_DIR}io/raster/raster_format.cpp
  ${CORE_DIR}io/base.cpp

  ${CORE_DIR}math/geom.cpp
  ${CORE_DIR}math/ellipse_solver.cpp
  ${CORE_DIR}math/bezier/bezier.cpp
  ${CORE_DIR}math/bezier/point.cpp
  ${CORE_DIR}math/bezier/operations.cpp
  ${CORE_DIR}math/bezier/cubic_struts.cpp
  ${CORE_DIR}math/bezier/meta.cpp

  ${CORE_DIR}model/main_composition.cpp
  ${CORE_DIR}model/composition.cpp
  ${CORE_DIR}model/document.cpp
  ${CORE_DIR}model/document_node.cpp
  ${CORE_DIR}model/object.cpp
  ${CORE_DIR}model/transform.cpp
  ${CORE_DIR}model/factory.cpp
  ${CORE_DIR}model/animation_container.cpp
  ${CORE_DIR}model/stretchable_time.cpp
  ${CORE_DIR}model/comp_graph.cpp
  ${CORE_DIR}model/mask_settings.cpp
  ${CORE_DIR}model/visitor.cpp
  ${CORE_DIR}model/custom_font.cpp

  ${CORE_DIR}model/animation/keyframe_transition.cpp
  ${CORE_DIR}model/animation/animatable.cpp
  ${CORE_DIR}model/animation/animatable_path.cpp
  ${CORE_DIR}model/property/property.cpp
  ${CORE_DIR}model/property/reference_property.cpp
  ${CORE_DIR}model/property/option_list_property.cpp

  ${CORE_DIR}model/assets/assets.cpp
  ${CORE_DIR}model/assets/brush_style.cpp
  ${CORE_DIR}model/assets/named_color.cpp
  ${CORE_DIR}model/assets/bitmap.cpp
  ${CORE_DIR}model/assets/gradient.cpp
  ${CORE_DIR}model/assets/asset_base.cpp
  ${CORE_DIR}model/assets/asset.cpp
  ${CORE_DIR}model/assets/precomposition.cpp
  ${CORE_DIR}model/assets/embedded_font.cpp

  ${CORE_DIR}model/shapes/shape.cpp
  ${CORE_DIR}model/shapes/fill.cpp
  ${CORE_DIR}model/shapes/rect.cpp
  ${CORE_DIR}model/shapes/group.cpp
  ${CORE_DIR}model/shapes/ellipse.cpp
  ${CORE_DIR}model/shapes/path.cpp
  ${CORE_DIR}model/shapes/stroke.cpp
  ${CORE_DIR}model/shapes/polystar.cpp
  ${CORE_DIR}model/shapes/styler.cpp
  ${CORE_DIR}model/shapes/layer.cpp
  ${CORE_DIR}model/shapes/image.cpp
  ${CORE_DIR}model/shapes/precomp_layer.cpp
  ${CORE_DIR}model/shapes/text.cpp
  ${CORE_DIR}model/shapes/repeater.cpp
  ${CORE_DIR}model/shapes/trim.cpp
  ${CORE_DIR}model/shapes/inflate_deflate.cpp
  ${CORE_DIR}model/shapes/path_modifier.cpp
  ${CORE_DIR}model/shapes/round_corners.cpp

  ${CORE_DIR}plugin/plugin.cpp
  ${CORE_DIR}plugin/action.cpp
  ${CORE_DIR}plugin/io.cpp

  ${CORE_DIR}utils/gzip.cpp
  ${CORE_DIR}utils/tar.cpp
)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/${CORE_DIR}application_info_generated.in.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/${CORE_DIR}application_info_generated.hpp"
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/${APP_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/${CORE_DIR})
include_directories(${LibArchive_INCLUDE_DIRS})

add_library(mltglaxnimate MODULE
  producer_glaxnimate.cpp
  ${GLAX_SOURCES}
)

target_compile_options(mltglaxnimate PRIVATE ${MLT_COMPILE_OPTIONS})
add_definitions(-DWITHOUT_POTRACE -DWITHOUT_QT_COLOR_WIDGETS)

find_package(LibArchive REQUIRED)
find_package(ZLIB REQUIRED)

set_property(TARGET mltglaxnimate APPEND PROPERTY AUTOMOC_MACRO_NAMES "GLAXNIMATE_OBJECT")

target_link_libraries(mltglaxnimate PRIVATE
  mlt++
  mlt
  m
  Threads::Threads
  Qt${QT_MAJOR_VERSION}::Core
  Qt${QT_MAJOR_VERSION}::Gui
  Qt${QT_MAJOR_VERSION}::Widgets
  Qt${QT_MAJOR_VERSION}::Xml
  ${LibArchive_LIBRARIES}
  ZLIB::ZLIB
)

if(NOT WINDOWS_DEPLOY)
  target_compile_definitions(mltglaxnimate PRIVATE NODEPLOY)
endif()

set_target_properties(mltglaxnimate PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltglaxnimate LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  producer_glaxnimate.yml
  DESTINATION ${MLT_INSTALL_DATA_DIR}/glaxnimate
)

=== src/modules/oldfilm/CMakeLists.txt ===
add_library(mltoldfilm MODULE
  common.c
  factory.c
  filter_dust.c
  filter_grain.c
  filter_lines.c
  filter_oldfilm.c
  filter_tcolor.c
  filter_vignette.c
)

target_compile_options(mltoldfilm PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mltoldfilm PRIVATE mlt m)

set_target_properties(mltoldfilm PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltoldfilm LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  filter_dust.yml
  filter_grain.yml
  filter_lines.yml
  filter_oldfilm.yml
  filter_tcolor.yml
  filter_vignette.yml
  dust1.svg
  dust2.svg
  dust3.svg
  dust4.svg
  dust5.svg
  fdust.svg
  grain.svg
  lines.svg
  oldfilm.svg
  tcolor.svg
  vignette.svg
  DESTINATION ${MLT_INSTALL_DATA_DIR}/oldfilm
)

=== src/modules/plus/CMakeLists.txt ===
add_library(mltplus MODULE
  consumer_blipflash.c
  factory.c
  filter_affine.c
  filter_charcoal.c
  filter_chroma_hold.c
  filter_chroma.c
  filter_dynamictext.c
  filter_dynamic_loudness.c
  filter_invert.c
  filter_lift_gamma_gain.c
  filter_loudness.c
  filter_loudness_meter.c
  filter_lumakey.c
  filter_rgblut.c
  filter_sepia.c
  filter_shape.c
  filter_spot_remover.c
  filter_strobe.c
  filter_text.c
  filter_threshold.c
  filter_timer.c
  producer_blipflash.c
  producer_count.c
  producer_pgm.c
  transition_affine.c
)

target_compile_options(mltplus PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mltplus PRIVATE mlt m Threads::Threads)

if(TARGET PkgConfig::FFTW)
  target_sources(mltplus PRIVATE filter_dance.c filter_fft.c)
  target_link_libraries(mltplus PRIVATE PkgConfig::FFTW)
  target_compile_definitions(mltplus PRIVATE USE_FFTW)
  install(FILES filter_dance.yml filter_fft.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/plus)
endif()

if(TARGET PkgConfig::libebur128)
  target_link_libraries(mltplus PRIVATE PkgConfig::libebur128)
else()
  target_sources(mltplus PRIVATE ebur128/ebur128.c)
  target_include_directories(mltplus PRIVATE ebur128 ebur128/queue) 
  target_compile_definitions(mltplus PRIVATE USE_INTERNAL_LIBEBUR128)
endif()

set_target_properties(mltplus PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltplus LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  consumer_blipflash.yml
  filter_affine.yml
  filter_charcoal.yml
  filter_chroma_hold.yml
  filter_chroma.yml
  filter_dynamic_loudness.yml
  filter_dynamictext.yml
  filter_invert.yml
  filter_lift_gamma_gain.yml
  filter_loudness_meter.yml
  filter_loudness.yml
  filter_lumakey.yml
  filter_rgblut.yml
  filter_sepia.yml
  filter_shape.yml
  filter_spot_remover.yml
  filter_strobe.yml
  filter_text.yml
  filter_threshold.yml
  filter_timer.yml
  producer_blipflash.yml
  producer_count.yml
  producer_pgm.yml
  transition_affine.yml
  DESTINATION ${MLT_INSTALL_DATA_DIR}/plus
)

=== src/modules/qt/CMakeLists.txt ===
--- 
+++ 
@@ -26,12 +26,22 @@
   mlt
   m
   Threads::Threads
-  Qt5::Core
-  Qt5::Gui
-  Qt5::Xml
-  Qt5::Svg
-  Qt5::Widgets
+  Qt${QT_MAJOR_VERSION}::Core
+  Qt${QT_MAJOR_VERSION}::Xml
 )
+
+if(QT_MAJOR_VERSION EQUAL 6)
+  target_link_libraries(mltqt PRIVATE
+    Qt${QT_MAJOR_VERSION}::SvgWidgets
+    Qt${QT_MAJOR_VERSION}::Core5Compat
+  )
+else()
+  target_link_libraries(mltqt PRIVATE
+    Qt${QT_MAJOR_VERSION}::Svg
+    Qt${QT_MAJOR_VERSION}::Widgets
+    Qt${QT_MAJOR_VERSION}::Gui
+  )
+endif()
 
 target_compile_definitions(mltqt PRIVATE USE_QT_OPENGL)

=== debian/changelog ===
mlt (7.8.0+us-0ubuntu1) kinetic; urgency=medium

  * Provide correct upstream source tarball (+us) (LP: #1987960)
  * d\rules: add -DMOD_GLAXNIMATE=ON to flags for glaxnimate submodule
  * d\control: add qt5base-dev, libarchive-dev to build-deps

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Aug 2022 16:25:36 -0700

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,9 @@
  python3-dev,
  cmake,
  chrpath,
- dh-python
+ dh-python,
+ qtbase5-dev,
+ libarchive-dev
 Standards-Version: 4.6.1
 Section: libs
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	-DSWIG_PYTHON=ON \
-	-DMOD_OPENCV=ON
+	-DMOD_OPENCV=ON \
+	-DMOD_GLAXNIMATE=ON
 
 %:
 	dh $@ --with python3 --buildsystem=cmake

## mlt 7.8.0-1~ubuntu20.04.1+10.0trisquel2

=== debian/changelog ===
mlt (7.8.0-1~ubuntu20.04.1+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from official PPA for kdenlive as a dependency of
    kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Jul 2022 20:02:19 +0000

mlt (7.8.0-1~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Wed, 06 Jul 2022 23:26:20 +0000

mlt (7.5.0+git20220214-1) unstable; urgency=medium

  * pick CMake build system (new makefile is not for building)

 -- Vincent Pinon <vpinon@kde.org>  Mon, 14 Feb 2022 18:03:44 +0200

## mlt 7.10.0

=== debian/changelog ===
mlt (7.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/watch to work again with GitHub.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Nov 2022 15:30:46 +0100

mlt (7.8.0+repack1-2) unstable; urgency=medium

  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.
  * Adjust debian/watch to mangle the repack from the version string.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:44 +0200

mlt (7.8.0+repack1-1) unstable; urgency=medium

  * Use correct upstream tarball.
  * Add libarchive-dev build dependency.
  * Build new glaxnimate submodule.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 29 Aug 2022 10:38:59 +0200

## mlt 7.10.0-1~ubuntu22.04.1+11.0trisquel2

=== debian/changelog ===
mlt (7.10.0-1~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for kdenlive as a dependency of
    kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 04 Nov 2022 01:10:29 +0000

mlt (7.10.0-1~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Thu, 03 Nov 2022 23:07:03 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	-DSWIG_PYTHON=ON

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -V
